Subject: Re: [PATCH] drivers/tty/hvc: using strlcpy instead of strncpy

From: Chen Gang <[email-masked]>
Date: Thu, 07 Mar 2013 12:34:52 +0800

oh, this patch has integrated into next-20130307 tree.
    (commit 9276dfd27897a0b29d8b5814f39a1f82f56b6b6b)
  it seems we need a regression for this commit, then I send patch v2

  is it correct ?

  :-)

于 2013年03月07日 12:10, Chen Gang 写道:
> 于 2013年03月05日 17:36, Jiri Slaby 写道:
>> On 03/05/2013 02:58 AM, Chen Gang wrote:
>>>> 于 2013年02月28日 21:47, Jiri Slaby 写道:
>>>>>>>>>>   when strlen(&pi->location_code[0]) == HVCS_CLC_LENGTH + 2
>>>>>> It cannot, pi->location_code is defined as char[HVCS_CLC_LENGTH + 1].
>>>>>>
>>>>
>>>>   really, it is, I did not notice it.
>>>>
>>>>   but I still prefer to modify it, but the patch should be changed
>>>>   such as:
>>>>     subject: beautify code: deleting useless judging code.
>>>>     comments: src buf len and dest buf len are the same, strcpy is better.
>>>>     contents: using strcpy instead of strncpy, and delete judging code.
>>>>
>>>>   is it ok ?
>> Yeah.
>>
> 
>   I will send patch v2.
> 
> 
>>>> BTW:
>>>>   sorry for my reply is too late, and did not notify it, originally before.
>>>>     I have to do some urgent things, during these days.
>>>>       my father had a serious heart disease, and is in hospital.
>> No problem, these drivers are not so critical. Neither these code paths
>> in them. Take care of your relatives first.
> 
>   thanks.
> 

-- 
Chen Gang

Asianux Corporation